Bug 146414 - disk druid doesn't create the bootstrap partition in the right place
disk druid doesn't create the bootstrap partition in the right place
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks: fedora-ppc
  Show dependency treegraph
 
Reported: 2005-01-27 18:15 EST by kevin lyda
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 10.2.0.20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-19 19:26:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kevin lyda 2005-01-27 18:15:14 EST
during the install of fc3 you need to create a 1 meg apple bootstrap
partition.  disk druid allows you to do this and it allows you to
create the correct fs.  but what it doesn't do is keep it up at the
beginning of the disk.

this results in a non-booting system if you've installed a large disk
on an early imac.
Comment 1 David Woodhouse 2005-01-27 18:31:45 EST
It should be 800K, not 1M. IIRC Disk Druid doesn't actually let you
specify that?
Comment 2 Colin Charles 2005-01-28 12:41:08 EST
dwmw2: no, disk druid's smallest size is currently 1MB as opposed to being 800K

kevin: the large disk on an early iMac issue and not having bootstrap as the
first partition isn't the problem imho; how's your pram doing? Please provide
information about your disk here as well
Comment 3 Paul Nasrat 2005-02-13 23:47:46 EST
Open firmware will happily boot off any partition. 

The only reason to have an Apple_Bootstrap at the start of the disk is to boot
off that if your PROM gets zapped for some reason IIRC.
Comment 4 David Woodhouse 2005-02-19 19:26:00 EST
This should be fixed in anaconda-10.2.0.20

Note You need to log in before you can comment on or make changes to this bug.